Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Class TransactionRequiredException

    java.lang.Object
      javax.persistence.TransactionRequiredException
          org.apache.openjpa.persistence.TransactionRequiredException

All Implemented Interfaces:
  Serializable, ExceptionInfo

    public class TransactionRequiredException

extends TransactionRequiredException
implements Serializable, ExceptionInfo

Transaction required.

Since:
  0.4.0
Author:
  Abe White

Field Summary

Fields inherited from interface org.apache.openjpa.util.ExceptionInfo
`GENERAL, INTERNAL, STORE, UNSUPPORTED, USER`

Constructor Summary
`TransactionRequiredException(Localizer.Message msg, Throwable[] nested, Object failed, boolean fatal)`
`TransactionRequiredException(String msg, Throwable[] nested, Object failed, boolean fatal)`

Method Summary
`Throwable` | `getCause()` Returns the first `Throwable` from `ExceptionInfo.getNestedThrowables()` in order to conform to `Throwable.getCause()` in Java 1.4+.
`Object` | `getFailedObject()` The failed object.
`Throwable[]` | `getNestedThrowables()` The nested throwables.
`int` | `getSubtype()` Exception subtype.
`int` | `getType()` Exception type.
`boolean` | `isFatal()` Whether this error is fatal.
`void` | `printStackTrace()` Stack.
`void` | `printStackTrace(PrintStream out)`
`void` | `printStackTrace(PrintWriter out)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.util.ExceptionInfo
`getMessage`

Constructor Detail

### TransactionRequiredException

    public TransactionRequiredException(Localizer.Message msg,
                                        Throwable[] nested,
                                        Object failed,
                                        boolean fatal)

### TransactionRequiredException

    public TransactionRequiredException(String msg,
                                        Throwable[] nested,
                                        Object failed,
                                        boolean fatal)

Method Detail

### getType

    public int getType()

  Description copied from interface: `ExceptionInfo`
  Exception type.

  Specified by:
    `getType` in interface `ExceptionInfo`

### getSubtype

    public int getSubtype()

  Description copied from interface: `ExceptionInfo`
  Exception subtype.

  Specified by:
    `getSubtype` in interface `ExceptionInfo`

### isFatal

    public boolean isFatal()

  Description copied from interface: `ExceptionInfo`
  Whether this error is fatal.

  Specified by:
    `isFatal` in interface `ExceptionInfo`

### getCause

    public Throwable getCause()

  Description copied from interface: `ExceptionInfo`
  Returns the first `Throwable` from `ExceptionInfo.getNestedThrowables()` in order to conform to `Throwable.getCause()` in Java 1.4+.

  Specified by:
    `getCause` in interface `ExceptionInfo`
  See Also:
    `Throwable.getCause()`

### getNestedThrowables

    public Throwable[] getNestedThrowables()

  Description copied from interface: `ExceptionInfo`
  The nested throwables.

  Specified by:
    `getNestedThrowables` in interface `ExceptionInfo`

### getFailedObject

    public Object getFailedObject()

  Description copied from interface: `ExceptionInfo`
  The failed object.

  Specified by:
    `getFailedObject` in interface `ExceptionInfo`

### toString

    public String toString()

### printStackTrace

    public void printStackTrace()

  Description copied from interface: `ExceptionInfo`
  Stack.

  Specified by:
    `printStackTrace` in interface `ExceptionInfo`
  See Also:
    `Throwable.printStackTrace()`

### printStackTrace

    public void printStackTrace(PrintStream out)

### printStackTrace

    public void printStackTrace(PrintWriter out)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.